Bug 165402 - Indicate status of sticky keys
Summary: Indicate status of sticky keys
Status: REOPENED
Alias: None
Product: kdeplasma-addons
Classification: Plasma
Component: Keyboard Indicator (show other bugs)
Version: 5.18.1
Platform: unspecified Linux
: HI wishlist
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-30 11:25 UTC by Dotan Cohen
Modified: 2020-02-25 23:27 UTC (History)
18 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot (2.74 KB, image/png)
2013-07-18 06:05 UTC, Dotan Cohen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2008-06-30 11:25:02 UTC
Version:            (using KDE 4.0.83)

KDE 3 has a "show keyboard status" (name translated, but it should be similar) panel applet, that indicates the activation states for the keyboard meta keys. This is helpful especially for users of Sticky Keys, which I need due to disability. Please port this applet to KDE 4 as well. Thanks.
Comment 1 Dotan Cohen 2008-06-30 11:28:15 UTC
Changing component to plasma (I hope that's right) and marking Priority to Hi as this is an accessibility issue as I am having a hard time using KDE 4 without this applet. Thanks.
Comment 2 FiNeX 2008-06-30 14:31:46 UTC
I've see a "keyboard leds" applet in playground but it is not yet completed.
Comment 3 Dotan Cohen 2008-06-30 15:21:39 UTC
I am googling but cannot find it. Can you provide a link, so that I can see if this meets the needs of the Sticky Keys people?

I notice that the priority has been moved down to NOR again. For those with 10 operable fingers who do not rely on Sticky Keys this applet may seem unimportant. For me, it is the difference between typing and not typing. Please reconsider returning the priority to HI as I (and others like me) will be unable to use KDE 4 until this is implemented. Thanks.
Comment 4 Sebastian Sauer 2008-08-29 03:13:03 UTC
asnwer to question from comment #3 was provided at http://lists.kde.org/?l=kde-accessibility&m=121901525332454&w=2

So, it works and we can close the bugreport :)

@Dotan
If you don't agree please reopen or create a new bugreport with details what is missing so we can implement it. Thanks for the feedback.
Comment 5 Dotan Cohen 2008-08-29 10:52:57 UTC
Thank you Sebastian, but the Keyboard LEDs applet does not suit the needs of Sticky Keys users. The Keyboard LEDs applet only shows the Caps Lock, Scroll Lock, and Num lock status. Sticky Keys users need these functions (provided by the Show Keyboard Status applet in KDE 3.x):
* Shift key status
* Ctrl key status
* Tux key status
* Alt key status
These are the modifier keys that Sticky Keys makes sticky.

I am reopening this bug instead of filing a new bug against the Keyboard LEDs applet because the scope of the Show Keyboard Status applet is not the same scope as that of the Keyboard LEDs applet. They serve two separate purposes.

Thanks.
Comment 6 Sebastian Sauer 2008-08-31 06:25:47 UTC
Thanks Dotan,

and finally I also found the KDE 3.5 applet we are talking about :)
It is at http://websvn.kde.org/branches/KDE/3.5/kdeaccessibility/kbstateapplet and was not ported yet it seems.
Comment 7 Dotan Cohen 2008-08-31 14:58:41 UTC
I did not know that it had to be found! I would have linked two months ago.

Thanks!
Comment 8 Dotan Cohen 2008-10-19 22:04:24 UTC
I hate to be a pest, but has there been work on this? Who can I corrupt with a beer (or six) to have this implemented? I would like to upgrade to KDE 4.1 but I simply cannot do so until this applet is ported. Thanks in advance!
Comment 9 Sebastian Kügler 2008-10-22 01:05:38 UTC
FWIW, the Plasma keyboard LED applet has been moved to kdereview and will be part of 4.2.
Comment 10 Dotan Cohen 2008-10-22 09:39:35 UTC
As stated in Comment #5, the Keyboard LED applet is not worth anything to those affected by this bug. It does not show modifier key status. Sticky Keys users need these functions (provided by the Show Keyboard Status applet in KDE 3.x):
* Shift key status
* Ctrl key status
* Tux key status
* Alt key status
These are the modifier keys that Sticky Keys makes sticky.
Comment 11 Dotan Cohen 2008-10-24 22:32:37 UTC
I am changing the priority to HI as Suse is removing support for KDE 3 and KDE 4 is unusable to people with specific disabilities without this applet.
Comment 12 Sebastian Sauer 2008-10-26 09:19:27 UTC
FYI; I agree absolute re priority and started already to port kdstateapplet into a Plasma applet. Should land within next days depending on remaining issues mixed with free time ;)
Comment 13 Dotan Cohen 2008-10-26 09:58:04 UTC
Thanks, Sebastian! You guys are the greatest, absolute greatest team of software devs, ever!
Comment 14 Dotan Cohen 2008-12-02 18:32:45 UTC
I cannot find this Panel Applet in recent Trunk builds. Am I missing something? I would like to start testing and possibly file bugs on the applet. Thanks.
Comment 15 Stephan Wassipaul 2008-12-28 18:08:10 UTC
The latest commit digest mentioned it: http://commit-digest.org/issues/2008-11-02/moreinfo/875994/
Comment 16 Kevin Kofler 2008-12-31 02:24:21 UTC
It's still in kdereview.
Comment 17 Sebastian Sauer 2009-01-06 00:51:13 UTC
Suse did took the version that is in kdereview; http://www.kdedevelopers.org/node/3746
Kubuntu may do the same; https://bugs.launchpad.net/ubuntu/+source/kdeaccessibility/+bug/289440

According to the discusion at http://lists.kde.org/?t=123116233700007&r=1&w=2 we need to;
* we will move the kbstate-plasmoid to kdebase/workspace in 4.3 rather then to kdeplasma-addons cause it needs to be part of the core package.
* improve artwork (use SVG and Plasma-Theme)
Comment 18 Dotan Cohen 2009-03-17 13:47:14 UTC
Is this ready for debase/workspace?

If you need someone to work on the artwork I will give it a shot.
Comment 19 Dotan Cohen 2009-05-06 14:36:08 UTC
It is unclear to me if this essential plasmoid will be included in KDE 4.3. Could someone please clarify? Thanks.
Comment 20 Dennis Schridde 2009-05-10 22:17:46 UTC
Revision 963596 - Directory Listing 
 Modified Mon May 4 22:59:10 2009 UTC (5 days, 21 hours ago) by aseigo 
move back to playground; the UI is horrific, the code is ancient and apparently it has no developer to be its constant companion
Comment 21 Dotan Cohen 2009-05-11 08:23:23 UTC
> move back to playground; the UI is horrific, the code
> is ancient and apparently it has no developer to be its
> constant companion

What? This is an important accessibility issue. Us silly disabled users do not care if the UI is horrific or if the code is ancient. We care that we can at least use the computer!
Comment 22 John Mullen 2009-11-08 01:40:38 UTC
This plasmoid became available in kde4.2  as part of the "kde4-plasma-addons" package under Suse 11.1 but then after I upgraded to KDE 4.3 it disappeared. It seems that KDE4.3 calls the packages "plasma-addons" and does not included this utility. I am not sure if this is distribution specific or a problem with KDE 4 in general. Is there a way to manually download and install this utility?
Comment 23 Dotan Cohen 2009-11-08 08:20:02 UTC
@John: Suse added the plasmoid, KDE 4.2 did not ship with it. I don't know why Suse removed it for 4.3. You might want to ask on the Suse list and file an issue on the Suse bugtracker.

Sebastian, is there an ETA for this issue? This plasmoid is very necessary for users with manual disabilities.
Comment 24 Bill Prout 2010-02-26 13:23:53 UTC
Any updates on this feature?
Comment 25 Lauris 2010-03-25 22:31:47 UTC
And this is really needed for netbook users that does not have such indicator on keyboard... like Asus Eee PC. It's hard to work without it.
Comment 26 Dennis Schridde 2010-03-27 12:59:19 UTC
(In reply to comment #25)
> And this is really needed for netbook users that does not have such indicator
> on keyboard... like Asus Eee PC. It's hard to work without it.
It is also a serious issue for certain desktop keyboards, like the Logitech MX 3200, which does not have leds by itself, but (on Windows) relies on the capability of the OS to display the status.
Comment 27 Gilboa Davara 2010-03-27 17:40:29 UTC
(In reply to comment #26)
> It is also a serious issue for certain desktop keyboards, like the Logitech MX
> 3200, which does not have leds by itself, but (on Windows) relies on the
> capability of the OS to display the status.

/+1. (MX3200 user)

- Gilboa
Comment 28 Martin Blumenstingl 2010-07-12 18:00:12 UTC
Hi,

I've written a plasmoid some time ago which might be interesting for you.
Check out this forum post: http://forum.kde.org/viewtopic.php?f=157&t=86964#p153417

What's missing is probably an "Icon Layout".
Also the settings dialog probably has to be redone (I'm not good at UI stuff - I just wanted to get the UI working somehow...).

Feel free to ping me if you have questions/ideas how my plasmoid could be improved.
Comment 29 Dotan Cohen 2010-07-12 20:59:59 UTC
Even in it's early state, Martin's plasmoid is a suitable replacement for the KDE 3 "show keyboard status" applet. As soon as it is included in KDE, this issue can be closed.
Comment 30 Gilboa Davara 2010-07-13 17:20:26 UTC
Trying to install the widget under F13/x86_64 4.5rc2 fails with no apparent error.
Any idea what's wrong?
Comment 31 Martin Blumenstingl 2010-07-13 18:14:41 UTC
(In reply to comment #30)
> Trying to install the widget under F13/x86_64 4.5rc2 fails with no apparent
> error.

Dotan got the same problem.
I'm not sure if it's my code's fault or if something else is broken.
Could you try starting my plasmoid with plasmoidviewer (just unzip the plasmoid file somewhere and run "plasmoidviewer ." from there)

PS: I think any discussion regarding my plasmoid should be done somewhere else :)
Maybe we should move it to kde-accessibility as there's already a thread for it:
http://lists.kde.org/?l=kde-accessibility&m=127896530222730&w=2
Comment 32 Dotan Cohen 2011-05-26 22:38:47 UTC
Martin, has there been any progress with your plasmoid? Thanks!
Comment 33 Martin Blumenstingl 2011-05-26 23:01:39 UTC
Unfortunately there has been no progress.
I'm doing my final exams right now so I don't have that much free time.

I will have a look at the plasmoid though, as it causes high CPU load on my box.
And once I started again I can move on to the other open tasks... ;)
Comment 34 Bhushan Shah 2013-07-18 05:33:53 UTC
Hello, Can you provide me screen shot of older widget, functionality and more information? I am ready to develop it.
Comment 35 Dotan Cohen 2013-07-18 05:58:15 UTC
Thank you Bhushan! These two screenshots from an earlier bug show the widget in the lower right corner:
http://bugsfiles.kde.org/attachment.cgi?id=32085
http://bugsfiles.kde.org/attachment.cgi?id=32086
Comment 36 Dotan Cohen 2013-07-18 06:05:19 UTC
Created attachment 81170 [details]
Screenshot

Attached is a screenshot of the keystate widget (grey) and the keyboard layout widget (flag) as I currently have them on a top panel.

Thanks!
Comment 37 Nikolaos Kakouros 2018-02-08 14:11:11 UTC
Isn't this issue obsolete?
Comment 38 Dotan Cohen 2018-02-08 17:15:40 UTC
(In reply to Nikolaos Kakouros from comment #37)
> Isn't this issue obsolete?

Updated title to KDE 5. Thanks, Nikolaos.
Comment 39 Ben Creasy 2018-02-23 20:34:59 UTC
From https://marc.info/?l=kde-accessibility&m=121901525332454&w=2 linked above, it looks like the code is at https://websvn.kde.org/trunk/playground/base/plasma/applets/keyboardLeds/ - in case that helps anyone get started.
Comment 40 Martin Blumenstingl 2018-02-25 09:35:47 UTC
I have ported my "KeyState Plasmoid" to KF5 back in 2016
you can get it here:
https://github.com/xdarklight/keystate-plasmoid
https://www.linux-apps.com/p/998903/